using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;
using System.Text;

namespace UUN
{
    /// <summary>
    /// 编译Club/Friends_Edit.aspx文件
    /// </summary>
    public class 编译扩展_Club_Friends_Edit : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Friends_Edit(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        #region 编译扩展接口 成员

        public string 开始执行代码()
        {
            编译器.方法库 += @"
	private int ID;
	private String 返回地址;
	private String 备注;
	private String 随机值;
";
            String 返回值 = "";
            返回值 += @"
	访问.验证会员();
	ID=Convert.ToInt32(Request.QueryString[""ID""]);
	返回地址=Request.QueryString[""rurl""];
	随机值=常用.随机字符(8);

	SqlCommand 语句=new SqlCommand(""SELECT [备注] FROM [""+程序.数据表前缀+""社区_好友] WHERE [ID]=""+ID,访问.连接);
	SqlDataReader 读取=语句.ExecuteReader();
	if(读取.Read())
		备注=读取[""备注""].ToString();
	else
	{
		读取.Close();
		throw new Exception(""好友不存在"");
	}
	读取.Close();
";
            return 返回值;
        }

        public string 编译公共标签(string 代码)
        {
            switch (代码)
            {
                case "ID":
                    return @"
		返回值.Append(ID);
";
                case "备注":
                    return @"
		返回值.Append(Server.HtmlEncode(备注));
";
                case "随机值":
                    return @"
		返回值.Append(随机值);
";
                case "返回地址":
                    return @"
		返回值.Append(Server.HtmlEncode(返回地址));
";
                default:
                    return "";
            }
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

        #endregion
    }
}